@media screen and (min-width:2100px) {
    .responsibility-text {
    width: 41%;
}
.environmental1 .container {
    max-width: 2100px;
}
.infrastructure-section1 .container {
    max-width: 2100px;
}
.container {
    max-width: 2100px;
}
.treatment-right-text {
    padding: 13em 0 0rem 8rem;
}
.forging_Cont {
    padding-inline: 8rem;
}
.treatment::before {
        height: 45%;
}
    .inner_container {
        max-width: 1800px;
        margin-inline: auto;
    }
    .about-list {
        gap: 9rem 4rem;
        padding-right: 6rem;
    }
.about-box::before{
      width: 94%;  
}
.about-text {
    padding: 18.6rem 0 0 11rem;
}
.Value-text {
    margin: 25rem 0 0 0;
}
.warehouses-box .plants-box-new::before {
    bottom: -9.5rem;
    width: 14rem;
    height: 48%;
    left: -14rem;
    border-width: 1px 0px 0px 1px;
}
.engineering-text1 {
    padding: 0 11rem 0 11rem;
}
.engineering-text {
    padding: 0rem 5rem 0 15rem;
}
.treatment-left-text{
  height: auto;  
}
.quality-text h6 {
    margin-bottom: 6rem;
}
.engineering-section.quality-one .csr-box {
    align-items: flex-end;
}
.manufacturing-box .plants-box::before {
    border-width: 0px 0px 1px 1px;
    bottom: -2rem;
    width: 44rem;
    height: 14%;
    left: 33rem;
    rotate: 180deg;
}
.warehouses-box .plants-box-new .plants-text ul li:first-child::before {
    border-width: 0px 0px 1px 0px;
    top: 3rem;
    width: 20rem;
    left: 30rem;
}
.innovation_img {
    margin-top: -24rem;
}
.high_part {
    width: 75%;
}
.start_Bx {
    padding-inline: 20rem 18rem;
}
.top-heading-list {
    gap: 3rem;
}
.environmental::before {
    height: 62%;
}

}


@media screen and (min-width: 2200px){
    .product-section .container-fluid{ width: 100%; max-width: 2100px;}
    .product-section2 .container-fluid{ width: 100%; max-width: 2100px;}
    .product-section2-box{margin-left:15rem;}
    .responsibility-text {
    width: 36%;
}

}




@media screen and (max-width:1649px) {
.csr-text p br{display: none;}
    .internal-text{padding-inline: 6rem 14rem;}
}
/* media screen and (max-width: 1600px)
---------------------------------------------------------------------- */
@media screen and (max-width:1600px) {
    .wp-news-text{padding: 2rem 5rem 4rem 4rem;}
    .right-news-box .wp-news-text{padding:4.5rem 2.4rem 4.5rem 3rem;}
    .main-news-text .news-detail-text p{margin:2rem 0;}
    .main-news-text .news-detail-text h2{margin:3rem 0;font:var(--font28);font-weight:500;}
    .right-event-box{padding:6rem 2rem;}
    .news-list-text{padding:2rem;}
    .news-list-img img{height:100%; width: 100%; object-fit: cover;}
    .news-detail-gallery{overflow:hidden;}
    footer.desktop .copyright_content li:not(:last-child){margin-right:0;}
    .stewardship-box{        padding: 3rem 4rem; }
    .environmental1::before{width:11rem;}
    .material-text{padding:0 10rem 0 4rem;}
    .product-section2{padding-inline:0 5rem;}
    .powertrain-img img{height:325px;object-fit:contain;}
    .product-section-left .product-box img{height:auto;}
    .product-section2-box{margin-left:14rem;}
    .about-box::before{width:30rem;}
    .about-img{margin-top:-6rem;}
    .about-box{padding-bottom:4rem;}
    .about-slide-box .swiper-pagination{right:17rem !important;}
    .following-text h2{font-weight:800;}
    .following-text{padding:2rem 3rem;}
    .following-text h4{margin:1.6rem 0;}
    .following-text p{margin-bottom:1rem;}
    .pride-img img{height:100%;        object-fit: cover;}
    .vission-box{padding:0 5rem 0 0;     gap: 4rem 6rem;}
    
    .Value-text{margin:9rem 0 0 0;}
    .about-section3::before{height:60%;}
    .about-location{padding-inline:7rem;}
    .about-text{padding:6rem 0 0 5rem;}
    .about-location p br{display:none;}
    .plants-box::before{bottom:-8rem;width:420%;height:48%;}
    .plants-box-new::before{bottom:-7rem;width:301%;height:14%;}
    .news-detail-list{padding:6rem 12rem 0 16rem;}
    .engineering-section .csr-box{padding-block:3rem 0;padding-inline:5rem 0;}
    .csr-img{margin-top:-14rem;}
    .tool-box{padding-inline:7rem;}
    .tool-text p br{display:none;}
    .global-text{bottom:2rem;}
    .treatment-right-text p br{display:none;}
    .treatment-left-text{padding:3rem 4rem 0 2rem;}
    .material-text p span{font-size:2.5rem;}
    .treatment-right-text{padding:4em 0 5rem 2rem;}
    .infrastructure-section1::before{height:12.5rem;}
    .treatment::before{height:50.1%;}
    .addition-text{padding:6rem;}
    .product-section-text{padding:12rem 5rem 19rem;}
    .right-event-box .news-detail-text h2{margin-block:7rem 7rem;}
    .right-event-box{}
    .responsibility-text h3{margin-bottom:2.6rem;}
    .responsibility-text p br{display:none;}
    .responsibility-text{padding:0rem 10rem 0 7rem;}
    .csr-section{padding-block:5rem;}
    .csr-section:before{height:19%;}
    .engineering-section:before{height:16%;}
    .engineering-section.quality-one .csr-box .csr-text p{margin-bottom:9rem;}
    .components-box{padding:0rem 5rem 0 6.8rem;}
    .treatment-left-text ul li::before{top:0.4rem;}
    .internal-text{    padding-inline: 6rem 14rem;}
    .tool-text ul>li::before{top:0.4rem;}
    .machine-section1::before{height:14.9rem;}
    .machine_bottom_list ul li::before{top:2.4rem;}
    .surface::before{height:45rem;}
    .include-box ul li::before{top:.4rem;}
    .quality-one{padding-block:0rem;}
    .top-heading-text{width:80%;}     
    .following-box p span{display:inline;}
    .following-list{gap:1.5rem;}
    .quality-one .csr-box .csr-text p br{display:none;}
    .responsibility:nth-child(2n+2) .responsibility-text{padding:0rem 5rem 0 6rem;}
    .stewardship-box{margin-right:-9rem;}
    video#video{width:100%;height:31vh;}
    .forging_img1 img{height:41rem;object-fit:cover;}
    .treatment .treatment-right-box{position:relative;padding-right:3rem;margin-left:3rem;}
    .treatment .treatment-right-text{padding:0em 0 0rem 2rem;}
    .treatment-right-text .material-text{padding:1rem 0 0 0;}
    .treatment-right-text .material-text p br{display:block;}
    .engineering-section1{padding-block:0rem 7rem;}
    .infrastructure-section1{padding-block:8rem;}
    .engineering-section1{padding-block:7rem;}
    .environmental::before{height:74%;}
    .news-box::before{height:58%;}
    .csr-box{gap:7rem;}
    .engineering-text{padding:3rem 5rem 0 5rem;}
    .engineering-section .csr-img{margin-top:-11rem;}
    .engineering-text1{padding:0 0 0 7rem;}
    .raw-text {padding: 10rem 15rem;}
    .raw-section::before{
                height: 46.9%;
    }

}


@media screen and (max-width:1550px){
.environmental-text{padding:0 0 0 4rem;}
.environmental-list{padding:10rem 0 0 4rem;}
.environmental-text h2{line-height:1.3;}
.manufacturing-box .plants-box::before {  bottom: 7rem;width: 29rem;height: 5%;left: 23rem;}
.warehouses-box .plants-box-new::before {
    bottom: 3rem;
    width: 12rem;
    height: 10%;
    left: -12rem;
    border-width: 1px 0px 0px 1px;
}
.warehouses-box .plants-box-new .plants-text ul li:first-child::before {
    width: 14rem;
    left: 20rem;
}
    .Value-text {
        margin: 13rem 0 0 0;
    }
    .csr-text {
    padding-inline: 0 1rem;
}
.csr-box-bottom .csr-text {
    padding-inline: 6rem 9rem;
}
.contact-info {
    grid-template-columns: repeat(2, 70% 30%);
}
.map::before {
    width: 11rem;
}
.main-news-img img {
    height: 31rem;
}

}
/* media screen and (max-width: 1440px)
---------------------------------------------------------------------- */
@media screen and (max-width:1440px) {
    .plants-box-new::before{bottom:-7rem;width:297%;}
    .product-section2{padding-inline:0 4rem;}
    .csr-img{margin-top:-13rem;}
    .engineering-section .csr-box{padding-block:4rem 0;}
    .top-heading-text p br{}
        .map::before {
        width: 6rem;
    }

 
}
/* media screen and (max-width: 1366px)
---------------------------------------------------------------------- */
@media screen and (max-width:1366px) {
        .top-heading-text {
        width: 48%;
    }

       .top-heading-text p br{display: none;}
    .plants-box::before{bottom:-5rem;width:430%;height:27%;}
    .plants-box-new::before{bottom:-3rem;width:302%;height:6%;}
    .following-text h2{font-weight:800;}
    .about-box::before{width:28rem;}
    .forging_img1 img{height:36rem;}
    .treatment::before{height:50.3%;}
    .treatment-left-text ul{gap:1.7rem;}
    .machine-section1::before{height:16.5rem;}
    .machine_grid .right-pnl{margin-top:0rem;}
    .engineering-section1{padding-block:5rem 7rem;}
    .quality-4-img{margin-top:-7rem;}
    .main_heading{margin-bottom:2rem;font:var(--font28);font-weight:600;}
    .engineering-section .csr-box{padding-block:2rem 0;}
    .awards-section{padding-block:7rem;}
    .top-heading-text p br{}
    /* .top-heading-text{width:65%;} */
    .top-heading-text p{font-size: 1.6rem;   }
.cus-about p{width: 60rem;}
    
    .about-list { gap: 5rem 4rem;}
    .tool-box p br{display:none;}
    .engineering-text p br{display:none;}
    .engineering-text{padding:0rem 6rem 0 7rem;}
    .engineering-text1{padding:0 4rem 0 5rem;}
    .engineering-text1 p br{display:none;}
    .engineering-section .csr-img{margin-top:-9rem;}
    .product-section-text{padding:8rem 2rem 13rem 5rem;}
    .surface1 .addition-text{padding:4rem 0 5rem 8rem;}
    .surface1 .addition-text p br{display: none;}
    .raw-section::before {height: 44.1%;}
    .internal-text {padding-inline: 3rem 2rem;}
    .warehouses-list {
        grid-template-columns: repeat(1, 43% auto);
        gap: 2rem;
        padding-inline: 1rem 0;
    }
    .warehouses-box .plants-box-new .plants-text ul li:first-child::before {
        width: 10rem;
        left: 20rem;
        top: 0rem;
    }
.manufacturing-list {
    grid-template-columns: repeat(1, 42% auto);
    gap: 2rem;
}
.manufacturing-map {
    padding-inline: 0 0rem;
}
    .warehouses-box .plants-box-new::before {
  bottom: 7rem;
        width: 7rem;
        height: 1%;
        left: -7rem;
    }
        .manufacturing-box .plants-box::before {
    bottom: 14rem;
        width: 22rem;
        height: 5%;
        left: 20rem;
    }
        .wp-news-text {
        padding: 3rem;
    }
    .wp-news-text h6 {
    margin: 0 0 2rem;
}
    .right-event-box .news-detail-text h2 {
        margin-block: 3rem;
    }
    .innovation_img {
        margin-top: -27rem;
    }
    .csr-text p {
    font: var(--font16);
}
    .csr-box {
        gap: 5rem;
    }
        .csr-box-bottom .csr-text {
        padding-inline: 5rem 10rem;
    }
.infrastructure-menu ul li {
    padding: 0 4rem 0 0;
}
.infrastructure-section3 {
    padding-block: 0 6rem;
}

.infrastructure-section3 .components-box {
    padding: 0 5rem 0 0;
}
.infrastructure-section3 .commitment-main {
    padding: 3rem;
}
    .raw-text {
        padding: 10rem 16rem;
    }
    .treatment-left-text {
        padding: 3rem 4rem 0 5rem;
    }
        .treatment .treatment-right-text {
        padding: 0em 0 2rem 2rem;
    }
   .engineering-section.quality-one .csr-box .csr-text {
    padding-top: 3.4rem;
} 
    .engineering-section.quality-one .csr-box .csr-text p {
        margin-bottom: 4rem;
    }
    .quality-new-text {
    padding: 0 0 0 4rem;
}
.contact-info {
    grid-template-columns: repeat(2, 65% 35%);
}
    .map::before {
        width: 10rem;
    }
    .main-news-img img {
    height: 30rem;
}
    .about-text {
        padding: 4rem 0 0 4rem;
    }
    .about-text h3 {
    margin-bottom: 3.6rem;
}
.product-box img {
    height: auto;
}
    .environmental::before {
        height: 80%;
    }
        .environmental1::before {
        height: 30%;
    }

}

/* media screen and (max-width: 1180px)
---------------------------------------------------------------------- */
@media screen and (max-width:1180px) {
    br{display:none;}
    .main-news-text .news-detail-text h2{margin:3rem 0;font:var(--font26);font-weight:500;}
    .main-news-text .news-detail-text p{margin:1.8rem 0;}
    .wp-news-text {
        padding: 1.3rem 2rem 0 2rem;
    }
    .wp-news-text p {
    margin-bottom: 1rem;
}
.wp-news-box1 .wp-news-text{
    padding: 3rem 2rem 2rem;
}
.news-list-img {
    height: auto;
}
    .following-text h2 {
        font-weight: 800 !important;
        font: var(--font60);
    }
        .Value-text {
        margin: 10rem 0 0 0;
    }

    .wp-news-text h6{margin:0 0 1.3rem;}
    .right-event-box .news-detail-text h2{margin-block:3rem 3rem;}
    .right-event-box{padding:3rem 2rem;}
    .environmental-text{padding:0 0 0 0;}
    .environmental-list{padding:4rem 0 0 0rem;}
    .environmental{padding-block:4rem;}
    .stewardship-box{margin-right:0;margin-bottom: 0;}
    .stewardship-list{margin:2rem 0 4rem 2rem;}
    .environmental1::before{width:7rem;height:42%;}
    .responsibility-text{padding:0rem 4rem 0 4rem;}
    .responsibility:nth-child(2n+2) .responsibility-text{padding:0rem 0rem 0 8rem;}
    .infrastructure-menu ul li{padding:0px 3rem 0 0;}
    .components-box{padding: 2rem 2rem 0 3rem;}
    .material-text{padding:0 5rem 0 4rem;}
    .product-section-left .product-box img{height:auto;margin-bottom:2rem;}
    .product-section2-box{margin-left:12rem;}
    .about-slide-text{width:27%;}
    .about-text{padding:6rem 2rem 0 0rem;}
    .plants-text{padding:1rem;}
    .plants-list{grid-template-columns:repeat(2,1fr);gap:3rem;}
    .about-map{margin-top:6rem;}
    .plants-box::before{width:412%;}
    .plants-box-new::before{width:295%;}
    .right-contact-form{padding:2rem;}
    .contact-info{grid-template-columns:repeat(2,70% 30%);}
    .csr-text{padding:0rem 0 0 0;    width: 100%;}
    .csr-list-box img{margin-bottom:3rem;width:7rem;}

    .csr-box:nth-child(2n+2) .csr-text{padding:0rem 0 0 0;}
    .csr-section:before{height:14%;}
    .csr-section::after{width:9rem;}
    .csr-list-box{padding:2rem 2rem 4rem 3rem;}
    .csr-text br{display:block;}
    .material-text p br{display:block;}
    .treatment-right-box{padding-right:4rem;}
    .treatment-left-text ul li{font:var(--font16);}
    .treatment-left-text ul{gap:2rem;}
    .tool-text ul>li{font:var(--font16);}
    .tool-text ul{gap:2rem;}
    .treatment-right-text{padding:2em 0 3rem 2rem;}
    .treatment::before{height:50%;}
    .addition-text{padding:3rem;}
    .include-box{padding:3rem 7rem;}
    .surface1 .addition-text{padding:3rem 0 3rem 5rem;}
    .product-section-text{padding:7rem 5rem 18rem;}
    .top-heading-text{width:100%;}
    .about-box::before{width:22rem;}
    .mission-text p br{display:block;}
    .infrastructure-section1{padding-block:4rem;}
    .forging_img1 img{height:32rem;}
    .treatment-right-text h3{font:var(--font28);margin-bottom:1rem;line-height:2.9rem;}
    .treatment-right-text p{margin-bottom:1rem;}
    .treatment .treatment-right-box{padding-right:0rem;}
    .treatment .treatment-right-text{padding:0em 0 0rem 1rem;}
    .treatment::before{height: 56.3%;}
    .treatment-left-text{padding:3rem 4rem 0 3rem;}
    .top-heading-list{    flex-direction: column-reverse;gap: 3rem;}
     .raw-section::before { height: 41.1%;}
         .internal-text {
        padding-inline: 5rem 10rem;
    }
        .manufacturing-list {
        grid-template-columns: repeat(1, 44% auto);
        gap: 2rem;
    }
    .manufacturing-box .plants-box::before {
        bottom: 14rem;
        width: 20rem;
        height: 5%;
        left: 21rem;
    }
        .warehouses-box .plants-box-new::before {
        bottom: 9rem;
        width: 7rem;
        height: 9%;
        left: -7rem;
    }
        .warehouses-box .plants-box-new .plants-text ul li:first-child::before {
        width: 9rem;
        left: 17rem;
        top: 0rem;
    }
        .csr-box-bottom .csr-text {
        padding-inline: 3rem 7rem;
    }
        .tool-box {
        padding-inline: 2rem;
        padding-block: 2rem;
    }
        .forging_Cont {
        padding-inline: 4rem 1rem;
    }
    .tool-img {
    height: 100%;
    overflow: hidden;
}
.tool-img figure{
    height: 100%;
}
.tool-img figure img{
    height: 100%;
    object-fit: cover;
}
.treatment .boorder-line {
    margin: 6rem 8rem 0 8rem;
}
    .main-news-img img {
        height: 26rem;
    }
    .main-news-text .news-detail-text p {
    width: auto;
}

}


@media screen and (max-width: 1199px) {
    .internal-text {
        padding-inline: 2rem 0rem;
    }
}
/* media screen and (max-width: 1024px)
---------------------------------------------------------------------- */
@media screen and (max-width:1024px) {
    .news-detail-list{padding:6rem 12rem 0 16rem;}
    .top-heading{padding-block:3.7rem 3.6rem;}
    .csr-section .csr-box{margin-bottom:3rem;flex-direction:column;}
    .csr-img{margin-top:0;width: 100%;}

    .responsibility:nth-child(2n+2) .responsibility-text{padding:0rem 2rem 0 5rem;}
    .environmental1::before{width:5rem;height:46%;}
    .responsibility-text h3{margin-bottom:0.6rem;}
    .responsibility-text ul li{font:var(--font16);}
    .responsibility-text{padding:0rem 3rem 0 3rem;}
    .responsibility-text ul{margin-top:3rem;}
    .stewardship-box{padding:2rem 3rem;}
    .product-section2-box{margin-left:4rem;}
    .following-list{gap:1rem;}
    .csr-section::after{width:4rem;}
    .engineering-section .csr-box{padding-block:0rem 0;padding-inline:0rem 0;}
    .engineering-section .csr-box{gap:5rem;}
    .engineering-section .csr-text p br{display:none;}
    .tool-box{padding-inline:2rem;}
    .tool-box h3{margin-bottom:1rem;}
    .global-text{bottom:0rem;}
    .treatment-right-box{padding-right:3rem;}
    .product-section-text{padding:5rem 5rem 15rem;}
    .about-box::before{width:22rem;}
    .why-ramco-section2{padding-block:4rem;}
    .infrastructure-section1{padding-block:3rem;}
    .forging_img1 img{height:32rem;}
    .treatment-right-text h3{font:var(--font21);margin-bottom:2rem;line-height:2.4rem;}
    .treatment-right-text p{margin-bottom:1rem;}
    .treatment{padding-block:5rem;}
    .treatment .treatment-right-text{padding:0em 0 0rem 1rem;}
    .treatment::before{height:56.8%;}
    .treatment-left-text{padding:3rem 4rem 0 3rem;}
    .treatment-left-text ul{gap:1rem;}
    .surface{padding-block:5rem;}
    .surface .boorder-line{margin:3rem 0 0 0rem;}
    .engineering-text1{padding:0 3rem 0 4rem;}
    .engineering-text{padding:0rem 2rem 0 0rem;}
    .people_Cont{padding-inline:3rem;}
    .ccr_section .container{padding-top:3rem;}
    .people_culture{padding-block:5rem;}
    .main-news-text{padding-bottom: 2rem;}
    .news-box::before{height:55%;}
    .presses-text h6 {padding-inline: 8rem;}

}

/* media screen and (max-width: 991px)
---------------------------------------------------------------------- */
@media screen and (max-width:991px) {
       .tool-text ul>li::before{top:0.8rem;width:0.6rem;height:0.6rem;}
    .infrastructure-menu{display:none;}
    .infrastructure-text{margin-bottom:0;}
    .top-heading{padding-block:3.7rem 3.6rem;}
    .top-heading-list{flex-direction:column-reverse;gap:3rem;}
    .top-heading-text{width:100%;}
    .main-news-text .news-detail-text h2{margin:2rem 0;font:var(--font18);font-weight:600;}
    .main-news-text .news-detail-text p{margin:0.8rem 0;}
    .news-section{padding-block:4rem;}
    .right-event-box .news-detail-text h2 {margin-block: 7rem 5rem;}
    .engineering-section.quality-one .csr-box .csr-img { margin-top: 0rem;}
    .news-box{padding-block:3rem 4rem;}
    .main-news-text:before{bottom:0;}
    .news-box::before{height:100%;}
    .about-text{padding:4rem 2rem 0;}
    .right-event-box{padding:3rem 2rem;height:auto;}
    .right-news-box{margin:2rem 0 0 0;}
    .news-detail-img{padding:0 0;}
    .news-detail{padding-block:4.7rem 17.6rem;}
    .news-detail1{padding-block:0rem 4rem;}
    .news-detail2{padding-block:0 0;}
    .news-detail-list{padding: 3rem 0 0;grid-template-columns:repeat(1,1fr);}
    .left-newd-detail-text{padding:0;}
    .rightnews-detail-img{margin:3rem 0 0 0;}
    .contact-info{grid-template-columns:repeat(2,70% 30%);gap:4rem;}
    .contact-list{gap:5rem;}
    .environmental-text{padding:0;}
    .environmental-list{padding:4rem 0 0 0rem; grid-template-columns: repeat(1, 1fr);}
    .responsibility-text ul{margin-top:0rem;}
    .stewardship-box{margin-bottom:3rem;        margin-right: 0;}
    .infrastructure-menu ul li a{font:var(--font16);}
    .infrastructure-menu ul li{padding:0px 3rem 0 0;}
    .components-box{padding:0;}
    .components-img{margin-top:4rem;}
    .material-text{padding:4rem 3rem 0 0rem;}
    .blanks{margin-top:3rem;}
    .product-section2-box{grid-template-columns:repeat(1,1fr);margin-left:9rem;}
    .product-section2{padding-inline:0 8rem;}
    .sockets{margin:4rem 0 0 0rem;}
    .plants-box::before{display:none;}
    .vission-box{padding:0 0rem 0 0;}
    .about-slide-text{width:38%;}
    .plants-text ul li br{display:block;}
    .about-img{margin-top:4rem;}
    .about-location{padding-inline:1rem 0;}
    .csr-text br{display:none;}
    .csr-box{gap:3rem;}
    .tool-box{padding-inline:4rem;padding-block:4rem;}
    .engineering-section1.quality-2 .tool-box{padding:3rem 3rem;}
    .quality-pdf li p{line-height:1.5;margin:0;}
    .engineering-section .csr-section:before{height:10%;}
    .engineering-section .csr-img{margin-top:-16rem;}
    .treatment-left-box{padding-right:0;}
    .boorder-line{margin:6rem 0 0 0rem;}
    .treatment::before{height:78%;}
    .include-box{padding:2rem 1rem;}
    .coal-product .product-list{grid-template-columns:repeat(2,1fr);}
    .engineering-section.quality-one .csr-box .csr-text p{margin-bottom:3rem;}
    header .container{justify-content:center;}
    .product-section4{padding-block:6rem;}
    .product-section3{padding-block:6rem;}
    .product-section2{padding-block:5rem 7rem;}
    .product-section1{padding-block:0 6rem;}
    .surface1-img{padding-left:0rem;}
    .quality-new-text { padding: 0rem 0 4rem 0rem;}
    .quality-text{padding:0 2rem 3rem 0;}
    .engineering-section .csr-img{margin-top:3rem;}
    .csr-text{padding:0rem;}
    .engineering-text1{padding:2rem 0 0 0;}
    .csr-section::after{height:35.8%;bottom:8rem;}
    .people_Cont{padding-inline:0rem;padding-block:2rem 0;}
    .people_img_Bx{margin:4rem 0 0 0;}
    .people_culture{padding-block:4rem;}
    .ccr_section .container{padding:4rem 4rem 0;}
    .about-box::before{width:35rem;}
    .product-section-img img{width:100%;}
    .satellite-section .product-box{margin-bottom:3rem;}
    .product-box{padding:1rem;}
    .treatment .treatment-right-text{padding:5em 0 0rem 1rem;}
    .treatment-left-text{padding:3rem 4rem 4rem 3rem;}
    .treatment1{padding-block:0 7rem;}
    .engineering-section.quality-one .csr-box .csr-text{padding-top:3rem;}
    .csr-section .csr-box{margin-bottom:3rem;}
    .left-list h3{font:var(--font28);font-weight:600;}
    .wp-news-text{padding:4.3rem 7rem 0 3rem;}
    .material-img .swiper-button-next{right:1rem;}
    .lb-nav a.lb-next{bottom:-3.5rem;}
    .lb-nav a.lb-prev{bottom:-3.5rem;}
    .product-section-text{   padding:3rem;padding-bottom:8rem;}
    .product-section-text h6 {margin-bottom: 3rem;line-height: 1.5;}
    .cons-pro h5 { margin-top:2.7rem;}
    .infrastructure-section3 .commitment-main { padding: 3rem;}
    .infrastructure-section3 .border-line{margin-top:4rem;}
    .infrastructure-section2{padding-block:4rem;}
    .infrastructure-section3 .components-box{padding:0;}
    .infrastructure-section3{padding-block:3rem 3rem;}
    .include-box ul{gap:1.5rem;grid-template-columns:repeat(2,1fr);}
    .surface1-text{margin-bottom:3rem;}
    .quality-pdf li{padding-bottom: 1.5rem;}
    .csr-section{padding-block:3rem;}
    .engineering-section1{padding-block:4rem 4rem;}
    .tool-text{margin-top:3rem;}
    .environmental{padding-block:3rem;position:relative;}
    .responsibility{flex-direction:column-reverse;}
    .responsibility:nth-child(2n+2) .responsibility-text{width:100%;padding: 0;}
    .responsibility-img{width:100%;margin-top:2rem;}
    .responsibility-text{width:100%;padding: 0;}
    .responsibility:nth-child(2n+2) .responsibility-img{width:100%;z-index:0;}
    .responsibility:nth-child(2n+2) { flex-direction: column-reverse; margin-top: 4rem;}
    .environmental1::before{width:2rem;height:45%;}
    .environmental1 .container{padding-right:3rem;        max-width: 820px;}
    .environmental1{padding-block:0 5rem;}
    .main-news{gap:3rem;padding: 0 0rem 0 0;}
    .contact-section::before {height: 80%;}
    .left-contact-info p{font-size: 1.5rem;}
    .left-contact-info p a{font-size: 1.5rem;}
    .csr-programme .csr-text h3{margin-bottom:2rem;}
    .csr-list{display:grid;grid-template-columns:repeat(2,1fr);}
    .csr-list-box:nth-child(3){border-right:0.1rem solid #0000001c;}
    .csr-list-box:nth-child(4),.csr-list-box:nth-child(5),.csr-list-box:nth-child(6){border-bottom:0.1rem solid #0000001c;}
    .csr-list-box:nth-child(2n){border-right: 0;}
    .csr-list-box img{margin-bottom:2rem;width:5rem;}
    .csr-list-box h4{ margin-bottom: 2rem;}
    .plants-box-new .plants-text ul li:first-child::before{display: none;}
    .quality-img2 img{width: 100%;}
.global-section {padding-block: 5rem 5rem;}
    .global-text {  bottom: -3rem;}
      .raw-section::before { height: 70%;}
          .certification-logo ul {
    grid-template-columns: repeat(3, 1fr);
    }
    .literary-list {
    grid-template-columns: repeat(3, 1fr);
    gap: 2.5rem;
}
    .internal-text {
        padding-inline: 0rem 0rem;
        margin-bottom: 4rem;
    }
        .warehouses-list {
        padding-inline: 0rem 0;
        margin-top: 5rem;
    }
   .wp-news-box1{
    margin-top: 2rem;
}
.bottom-news {
    margin-top: 2rem;
}
.top-heading-text p {
        width: auto;
    }
   .csr-box{
        grid-template-columns: repeat(1, 1fr);
   } 
   .csr-box.csr-box-bottom {
    display: flex;
    flex-direction: column-reverse;
}
    .csr-box-bottom .csr-text {
        padding-inline: 0rem 0rem;
        margin-top: 3rem;
    }
        .forging_Cont {
        padding-inline: 0;
    }
        .presses-text h6 {
        padding-inline: 3rem;
    }
        .treatment .boorder-line {
        margin: 6rem 4rem 0 4rem;
    }
    .quality-4 .inner_container .row{
        flex-direction: column-reverse;
    }
        .contact-info {
        grid-template-columns: repeat(1, 100%);
        gap: 4rem;
    }
    .engineering-section .row:nth-child(2) {
        flex-direction: column-reverse;
    }
    .engineering-img {
    margin-top: 3rem;
}
.engineering-section2 .row{
     flex-direction: column-reverse;  
}
 .certification-sec1 {
    padding: 5rem 0;
} 
.casting .row{
    flex-direction: column-reverse;
}  
.csr-section.engineering-section.welding { padding-bottom: 6rem;}
.powertrain-product {margin-top: -5rem;}
.csr-box-bottom .csr-text {
    padding-block: 0 0rem;
}
    .innovation_img {
           margin-top: 3rem;
    }
   .why-ramco-section4 .row{
    flex-direction: column-reverse;
   } 

}


/* media screen and (max-width: 830px)
---------------------------------------------------------------------- */
@media screen and (max-width:830px) {
    .wp-news-text{padding:3rem 7rem 0 3rem;}
    .contact-list{margin:3rem 0 0 0;}
    .contact-info{grid-template-columns:repeat(1,1fr);gap:4rem;}
    .infrastructure-menu ul li{padding:0px 2rem 0 0;}
    .infrastructure-menu ul li a{font:var(--font14);}
    .product-section2-box{margin-left:6rem;}
    .product-section2{padding-inline:0 5rem;}
    .about-box::before{width:34rem;}
    footer.desktop .copyright_content{margin-top:1rem;}
    .about-section1{padding-block:5rem;}
    .about-section{padding-block:0px 5rem;}
    .about-slide-box{margin-top:5rem;}
    .about-section3{padding-block:6rem;}
    .powertrain-product{margin-top:-4rem;}
    .satellite-section .product-box{margin-bottom:3rem;}
    .forging_img img{margin:0rem 0 0 0;}
    .forging_img1 img{height:auto;}
    .treatment .treatment-right-text{padding:5em 1rem 0rem 1rem;}
    .treatment-left-text{padding:3rem 4rem 5rem 4rem;}
    .treatment .boorder-line{margin:6rem 4rem 0 9rem;}
    .surface1-img{padding-left:0rem;}
    .surface1 .addition-text{padding:3rem 0 3rem 3rem;}
    .responsibility-text h3{font:var(--font28);font-weight:600;}
    .contact-section::before {
        height: 58%;
    }

}

/* media screen and (max-width: 728px)
---------------------------------------------------------------------- */
 @media screen and (max-width:767px) {

 }


/* media screen and (max-width: 767px)
---------------------------------------------------------------------- */
@media screen and (max-width:767px) {
    .mission-text p>br{display: none;}
    .top-heading{padding-block:2.7rem 2.6rem;}
    .top-heading-text h1{font:var(--font36);}
    .main-news{grid-template-columns:repeat(1,1fr);padding:0px 0rem 0 0;gap:1rem;}
    .main-news-text:before{bottom:-1rem;}
    .news-list{flex-wrap:wrap;}
    .news-list-img{width:100%;}
    .news-list-text{width:100%;}
    .wp-news{display:grid;grid-template-columns:repeat(1,1fr);gap:4rem;}
    .news-section{padding-block:6rem;}
    .news-detail{padding-block:5.7rem 16.6rem;}
    .news-detail-img{padding:0 2rem;}
    .news-detail-list{padding:3rem 2rem 0 3rem;}
    .left-newd-detail-text{padding:0 2rem 0 0;}
    .news-detail2{padding-block:0rem 0;}
    .contact-list{margin:5rem 0 0 0;grid-template-columns:repeat(1,1fr);gap:2rem;}
    iframe{height:44vh;}
    .map::before{height:78%;width: 4rem;}
    .top-heading-text p{margin:1rem 0 0 0;}
     .top-heading-text p br{display: none;}
    .environmental{padding-block:3rem;}
    .environmental-list{padding:6rem 0 0 0rem;grid-template-columns:repeat(1,1fr);}
    .stewardship-box{margin-right:0rem;padding:2rem 3rem;}
    .environmental::before{height:24.8%;}
    .right-environmental{margin-top:3rem;}
    .responsibility{flex-wrap:wrap;}
    .responsibility-img{width:100%;}
    .responsibility-text{padding:2rem 0 0 0;width:100%;}
    .environmental1 .container{width:100vw;max-width:100%;}
    .environmental1::before{display:none;}
    .responsibility:nth-child(2n+2){margin-top:3rem;}
    .responsibility:nth-child(2n+2) .responsibility-img{width:100%;}
    .responsibility:nth-child(2n+2) .responsibility-text{padding:2rem 0 0 0;width:100%;}
    .environmental1{padding-block:0 5rem;}
    .infrastructure-section1{padding-block:3rem 3rem;}
    .infrastructure-menu ul li{padding:0px 3rem 1.5rem 0;}
    .commitment-main{margin:4rem 0 0 0;}
    .infrastructure-section2{padding-block:5rem;}
    .material-text{padding:4rem 0rem 0 0rem;}
    .breadcrumb-text{margin-left:0rem;}
    .infrastructure-section{padding-block:0 3rem;}
    .product-section-text{padding:2rem 2rem 7rem;}
    .product-section3.contruction3.hydraulic_cylindar{padding-block:5rem 5rem;}
    .powertrain-product{margin-top:-4rem;}
    .powertrain-img img{height:auto;}
    .powertrain-product{padding:2rem;}
    .blanks{margin-top:3rem;}
    .product-list{grid-template-columns:repeat(1,1fr);gap:2rem;}
    .product-section1{padding-block:0 5rem;}
    .product-section2-box{margin-left:3rem;}
    .product-section2{padding-inline:0 3rem;}
    .product-section3{padding-block:6rem;}
    .worm-list{grid-template-columns:repeat(1,1fr);gap:2rem;}
    .plants-list{gap:2rem;grid-template-columns:repeat(1,1fr);margin-top:3rem;}
    .about-list{grid-template-columns:repeat(1,1fr);gap:2rem;}
    .about-text{padding:4rem 0rem 0;}
    .about-box::before{width:100%;}
    .Value-text{margin:6rem 0 3rem 0;}
    .about-section1{padding-block:4rem;}
    .about-section2{padding-block:0 5rem;}
    .about-slide-text{width:64%;bottom:0;padding:1rem 1rem 2.5rem;}
    .about-slide-box .swiper-pagination{right:16rem !important;bottom:.8rem;}
    .following-text{padding:2rem;}
    .following-list{grid-template-columns:repeat(1,1fr);gap:2rem;}
    .vission-box{grid-template-columns:repeat(1,1fr);gap:2rem;}
    .about-section3{padding-block:2.5rem;}
    .border-line{padding-bottom:4rem;}
    .mission-text{padding-block:0rem 4rem;}
    .about-section3::before{height:43%;}
    .about-section4{padding-block:4rem;}
    .left-contact-info h2{font:var(--font28);}
    .award-list{grid-template-columns:repeat(2,1fr);gap:1.5rem;}
    .awards-section{padding-block:6rem;}
    .awards-section::before{height:13%;}
    .csr-box{flex-wrap:wrap;}
    .csr-text{padding:4rem 0 0 0;width:100%;flex:inherit;}
    .csr-img{width:100%;flex:inherit;margin-top:0rem;}
    .csr-list{grid-template-columns:repeat(1,1fr);}
    .csr-list-box{border-width:0px 0px 1px 0px;}
    .csr-list-box:nth-child(4), .csr-list-box:nth-child(5){border-style:solid;border-color:#0000001c;border-width:0px 0px 1px 0px;}
    .csr-list-box:nth-child(3){border-right:0;}
    .csr-section::after{height:19%;bottom:7rem;}
    .global-box{padding-inline:0rem;}
    .global-text p{font:var(--font16);padding:1rem 2rem;}
    .global-text { bottom: -4rem;}
    .treatment-left-text ul{gap:1rem;grid-template-columns:repeat(1,1fr);}
    .addition-text{padding:1.5rem 0rem 0;}
    .addition-text h3{margin-bottom: 1.5rem;}
    .treatment::before{height:85%;}
    .treatment-left-text ul li::before{width:.8rem;height:.8rem;}
    .tool-text ul>li::before{width:.8rem;height:.8rem;}
    .include-box ul{grid-template-columns:repeat(1,1fr);gap:1.3rem;}
    .surface .boorder-line{margin:2rem 0 3rem;}
    .surface1 .addition-text{padding:3rem 0 3rem 0rem;}
    .surface1-img{padding-left:0;}
    .treatment1{padding-block:0 6rem;}
    .surface::before{height:60rem;}
    .coal-product .product-list{grid-template-columns:repeat(1,1fr);}
    .leadership-list{grid-template-columns:repeat(2,1fr);gap:1.5rem;}
    .powertrain-product h3{font:var(--font28);font-weight:600;}
    header .navbar_nav{display:none;}
    .top-heading-text{width:100%;}
    .following-text h2{font:var(--font48);font-weight:800;line-height:4rem;}
    .about-box-icon{right:0rem;}
    .csr-box{margin-bottom:5rem;}
    .cars h3{font:var(--font21);font-weight:600;}
    .infrastructure-section3 .components-box{padding:0 0rem 0 0;}
    .infrastructure-section3 .commitment-main{margin:0rem 0 0 0;padding:3rem;}
    .infrastructure-section3 .border-line{padding-bottom:0;margin-top:3rem;}
    .components h2{font:var(--font28);line-height:1.4;}
    .forging_blue h4{font:var(--font28);font-weight:700;}
    .treatment .treatment-right-box{margin-left:1rem;}
    .treatment-left-text { padding: 2rem 1rem 5rem 2rem;}
    .treatment .boorder-line{margin:5rem 2rem 2rem 1rem;}
    .surface1-text p{line-height:2.2rem;}
    .machine_content h2{font:var(--font28);}
    .engineering-section.quality-one .csr-box .csr-text p{margin-bottom:2.5rem;}
    .quality-new-text{padding:2rem 0 0 0rem;}
    .quality-img2{margin-top:2rem;}
    .engineering-section1{padding-block:2rem 5rem;}
    .engineering-section .csr-img {margin-top: 0rem;}
    .engineering-section:before{height:43%;}
    .tool-text{margin-top:3rem;}
    .csr-section .csr-text{padding:0rem 0 0 0;}
    .csr-section1{padding-block:0rem 4rem;}
    .csr-programme .csr-text{padding:0rem 0 0 0;}
    .csr-section{padding-block:3rem 0;}
    .people_text{padding:1.5rem;margin-top:0;}
    .people_text p{font:var(--font21);}
    .people_img_Bx{margin:1rem 0 0 0;}
    .people_Cont{padding-block:2rem;}
    .ccr_section .container{padding:3rem 2rem 0;}
    .news-box::before{height:70%;}
    .contact-section{padding-block:0 5rem;}
    .other-green{margin-top:2rem;}
    .environmental-text h2{font:var(--font28);}
    .download_sec1 .inner_container{padding-top:2rem;}
    .product-section2{padding-block:0rem 7rem;}
    .planetary-box{padding-block:4rem;}
    .satellite-section{padding-block:4rem;}
    .include-box p{text-align:left;}
    .quality-one .csr-box .csr-text{padding-top:0em !important;}
    .quality-4-img{margin-top:2rem;}
    .engineering-section .engineering-text{padding:0rem 0 3rem 0;}
    .engineering-section .engineering-text1{padding:2rem 0 0 0;}
    .tool-box{padding-inline:2rem;padding-block:2rem;}
    .wp-news-text{padding:3rem 7rem 3rem 3rem;}
    .engineering-section1.quality-2 .tool-box{padding:2rem;}
    .quality-pdf li{align-items:center;}
    .plants-box-new .plants-text ul li:first-child::before{ display: none;}
    .contact-section::before { height: 82%;}
    .news-detail-text h2{font-size: 2.5rem;}
    .right-contact-form { overflow: hidden;}
    .rc-anchor-normal {width: 292px !important;}
    .infrastructure-section3 { padding-block: 2rem 2rem;}
    .certification-logo ul { grid-template-columns: repeat(2, 1fr);}
    .literary-list { grid-template-columns: repeat(1, 1fr); gap: 2.5rem;}
    .certification-logo li {padding: 2rem 1rem;}
    .internal-text {  margin-top: 0rem;padding-inline: 1rem 1rem;}
    .manufacturing-list {grid-template-columns: repeat(1, 100%); gap: 2rem;}
    .warehouses-list {  margin-top: 5rem; grid-template-columns: repeat(1, 100%);}
    .news-list-img::before {right: 3rem;top: inherit; transform: translateY(-50%) rotate(0deg); bottom: -11px;}
    .news-list:nth-child(2n+2) .news-list-img::before { transform: translateY(-50%) rotate(0deg);right: 3rem; left: inherit;}
.bottom-news {
    grid-template-columns: repeat(1, 1fr);
}
 .right-event-box .news-detail-text h2 {  margin-block: 4rem 3rem;
    }
    .bottom-news .right-wp-news::before { top: inherit; background: #ffffff; clip-path: polygon(50% 0%, 0% 100%, 100% 100%);transform: translateY(-50%) rotate(0deg);right: 3rem; z-index: 9; bottom: -10px;
}
.presses-text h6 { padding-inline: 0;}
.ccr_section p { margin-bottom: 3rem;}
.quality-4 .treatment-left-text { padding: 0 0 3rem;}

}
@media screen and (max-width:430px) {
        .about-section3::before {
        height: 38%;
    }
}

@media screen and (max-width:390px) {
    .about-section3::before {
        height: 41%;
    }
}


@media screen and (max-width:360px) {
        .about-section3::before {
            height: 44%;
    }
}